Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.index.kdtree
Class KdNode

    java.lang.Object
      com.vividsolutions.jts.index.kdtree.KdNode

public class KdNode
extends java.lang.Object

A node of a `KdTree`, which represents one or more points in the same location.

Author:
  dskea

Constructor Summary
`KdNode(Coordinate p, java.lang.Object data)` Creates a new KdNode.
`KdNode(double _x, double _y, java.lang.Object data)` Creates a new KdNode.

Method Summary
`Coordinate` | `getCoordinate()` Returns the location of this node
`int` | `getCount()` Returns the number of inserted points that are coincident at this location.
`java.lang.Object` | `getData()` Gets the user data object associated with this node.
`KdNode` | `getLeft()` Returns the left node of the tree
`KdNode` | `getRight()` Returns the right node of the tree
`double` | `getX()` Returns the X coordinate of the node
`double` | `getY()` Returns the Y coordinate of the node
`boolean` | `isRepeated()` Tests whether more than one point with this value have been inserted (up to the tolerance)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KdNode

    public KdNode(double _x,
                  double _y,
                  java.lang.Object data)

  Creates a new KdNode.

Parameters:
  `_x` - coordinate of point
  `_y` - coordinate of point
  `data` - a data objects to associate with this node

### KdNode

    public KdNode(Coordinate p,
                  java.lang.Object data)

  Creates a new KdNode.

Parameters:
  `p` - point location of new node
  `data` - a data objects to associate with this node

Method Detail

### getX

    public double getX()

  Returns the X coordinate of the node

### getY

    public double getY()

  Returns the Y coordinate of the node

  Returns:
    Y coordiante of the node

### getCoordinate

    public Coordinate getCoordinate()

  Returns the location of this node

  Returns:
    p location of this node

### getData

    public java.lang.Object getData()

  Gets the user data object associated with this node.

  Returns:

### getLeft

    public KdNode getLeft()

  Returns the left node of the tree

  Returns:
    left node

### getRight

    public KdNode getRight()

  Returns the right node of the tree

  Returns:
    right node

### getCount

    public int getCount()

  Returns the number of inserted points that are coincident at this location.

  Returns:
    number of inserted points that this node represents

### isRepeated

    public boolean isRepeated()

  Tests whether more than one point with this value have been inserted (up to the tolerance)

  Returns:
    true if more than one point have been inserted with this value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD